Subject: Re: [Enum] RE: draft-ranalli-peek-walter-enum-t1roles-00.txt

From: "Douglas Ranalli" <[email-masked]>
Date: Mon, 27 Nov 2000 17:17:14 -0500

Pat,

Thank you for your comment regarding the role of TSP's in dialing plan
changes.  A key design principle behind our proposed Tier-1 ENUM System has been to "actively embrace" TSP's as primary players in the system without mandating their participation.

You made the suggestion to allow TSP's to make "Dialing Plan Updates" the same way as the draft allows TSP's to make "Service Termination Updates".  Dialing Plan changes are indeed a specialized case of service termination.  The TSP is effectively terminating service on the existing number and replacing the service with a new number.  Thank you for this suggestion, I'll make the change in the next version of the draft that will be published immediately following the December IETF meeting.

- TSP's to be given the "authority" (but not the responsibility) to initiate
dialing plan changes in the Tier-1 ENUM service.

- Registrars to be responsible for validating TSP control over the e164
number(s) being changed.

- Registry to be responsible for supporting a "dialing plan update" feature under the Registry "Registration Service".

If I understood your comment correctly, you also suggest removing the
dialing plan update "responsibility" from the Registrant.  The TSP is both well positioned and likely to handle dialing plan changes in the ENUM System but what happens if the TSP doesn't "choose" to participate?  If the TSP does not "choose" to participate in the ENUM System then the Subscriber is ultimately "responsible" for updating the dialing plan change.  I advise leaving the ultimate responsibility with the Registrant for this reason.

Please respond back with further thoughts and thank you again for your
feedback.

Regards,

Doug

Douglas J. Ranalli
Founder, Chief Strategy Officer
NetNumber
[email-masked]
978-454-4210 ext 22

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Conley, Pat
> Sent: Monday, November 27, 2000 12:53 PM
> To: [email-masked]
> Subject: [Enum] RE: draft-ranalli-peek-walter-enum-t1roles-00.txt
>
>
> Doug,
>
> I particularly like this document in the way that it
> clearly separates out the various functional roles
> that exist in an ENUM implementation.
>
> However, I suggest that one of the responsibilities
> that you assign to the registrant may be mis-placed.
>
> Is it reasonable to expect that a registrant will
> "notify the Registrar of dialing plan changes".  Might
> this responsibility be more efficiently ascribed to
> the TSP... similar, if not the same as the service
> termination?
>
> pat
>
> -----------------------------------------------------
>
> Patrick J. Conley
> Director of Business Development
> Telecommunications Sector
> VeriSign Global Registry Services
> +1 703 887-3716
> [email-masked]
>
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum